﻿using System;
using System.IO;
using System.Linq.Expressions;
using System.Net;
using System.Net.Sockets;
using System.Text;

namespace UDPReceiver
{
    public class UDPReceiverProgram
    {
        private int port;

        public UDPReceiverProgram(int port)
        {
            this.port = port;
        }

        public void Start()
        {
            UdpClient simpleSocket = new UdpClient(7080);

            IPEndPoint RemoteIpEndPoint = new IPEndPoint(IPAddress.Any,0);

            while (true)
            {
                byte[] databuffer = new byte[4000];
                databuffer = simpleSocket.Receive(ref RemoteIpEndPoint);

                //simpleSocket.Send(databuffer, databuffer.Length, RemoteIpEndPoint);


                String text = Encoding.ASCII.GetString(databuffer);
                Console.WriteLine("NEXT: " + text);

                int light;
                int temp;
                String timestamp;

                TextReader tr = new StringReader(text);
                String str1 = tr.ReadLine();
                String str2 = tr.ReadLine();
                String str3 = tr.ReadLine();
                
                light = Convert.ToInt32(str1.Split(' ')[1]);
                temp = Convert.ToInt32(str2.Split(' ')[1]);
                timestamp = str3.Split(' ')[1];

                Console.WriteLine($"light={light} temperature={temp} timestamp={timestamp}");



            }


        }
    }
}